
Redmine - Defect #13493

500 Internal Server Error when "Edit this section" on the wiki

2013-03-16 07:52 - Nick Tan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.3

Description

hi, folks

here i found a bug when i click the "Edit this section" icon on the wiki page.

(see attached screenshot please)

i got the "500 Internal Server Error"

seek in the production.log, there are lines relate to the error:

NoMethodError (undefined method `each' for #<String:0xcdc790c>):

  app/controllers/wiki_controller.rb:125:in `edit'

 i have Redmine 2.2.3 installed, and redmine_redcarpet_formatter plugin for the Markdown Wiki formatter.

History

#1 - 2013-03-17 04:12 - Mischa The Evil

- Status changed from New to Needs feedback

Nick Tan wrote:

[...] and redmine_redcarpet_formatter plugin for the Markdown Wiki formatter.

 This plugin seems to be causing your issue. Please test without it to see if the error goes away indeed. If so, please report the issue to the author of

the plugin.

#2 - 2013-03-17 04:12 - Mischa The Evil

- Assignee set to Nick Tan

#3 - 2013-03-18 05:41 - Nick Tan

yes, you're correct, the issue was gone if i switch to 'textile'

thanks

#4 - 2013-03-18 12:54 - Daniel Felix

- Status changed from Needs feedback to Closed

- Assignee deleted (Nick Tan)

- Resolution set to Invalid

Okay. I'm closing this as it is plugin related.

Thanks for the feedback!
